% control_lsg1.m
% Aufgabe Kap. 5.6.1
% Erstellen von LTI-Modellen

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

P   = tf (1,1)               % P-Glied
I   = tf (1,[1 0])           % I-Glied
D   = tf ([1 0],1)           % D-Glied
PI  = tf ([1 0.1],[1 0])     % PI-Glied
PD  = tf ([1 1],1)           % PD-Glied

P.Notes   = 'P-Glied' ;
I.Notes   = 'I-Glied' ;
D.Notes   = 'D-Glied' ;
PI.Notes  = 'PI-Glied' ;
PD.Notes  = 'PD-Glied' ;

% Systeme erzeugen
sys1     = [P,I,D,PI,PD];
sys1name = [P.Notes,I.Notes,D.Notes,PI.Notes,PD.Notes];

figure
sys1m    = max(size(sys1)) ; 
for m = 1:sys1m, 
    subplot(sys1m,4,4*m-3)
        axis([0 100 0 100])
        text(0,40,[sys1name(m)])
        axis off;
    subplot(sys1m,4,4*m-2)
        if isproper(sys1(m)) , step(sys1(m)) , else , axis off; end;
    subplot(sys1m,4,4*m-1) 
        bode(sys1(m))
    subplot(sys1m,4,4*m) 
        nyquist(sys1(m))
end; % m

if (exist('lpr')~=0)&(lpr==1) , print('-depsc',['lti_modell.eps']) , end
if (exist('lpr')~=0)&(lpr==1) , print('-deps',['lti_modell_sw.eps']) , end
%if (exist('lpr')~=0)&(lpr==1) , saveas(gcf,'lti_modell','fig') , end
